> ## Documentation Index
> Fetch the complete documentation index at: https://developers.gonitro.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Convert File to PDF

> *This endpoint was deprecated* on March 24, 2026, and will be sunset on July 1, 2026. Please migrate your existing functionality to the current endpoint:
https://developers.gonitro.com/docs/api-reference/sign/create-document-by-envelope-id , which already supports multiple file types.

The **Convert File to PDF** endpoint transforms various file formats into PDF documents for use with the Nitro Sign API.

  ### Input files
  Supported input document types and formats:

  | Document Type | Formats |
  |---------------|---------|
  | Doc | .doc, .docx, .dot, .xml, .docm, .dotx, .dotm, .rtf |
  | Excel | .xlsx, .xls, .xlt, .xlsm, .xltx, .xltm |
  | HTML | .html |
  | Powerpoint | .pptx, .ppt |
  | Image | .png, .jpg, .jpeg, .tif, .tiff, .gif |
  | Other | .csv, .psd, .svg, .eps |

  ### Output files
  The **Convert File** Sign API endpoint only supports PDF files as output.

  ### Asynchronous Processing
  The **Convert File** endpoint supports only asynchronous processing. When you start a file format conversion, the request returns a job ID. Use this ID with the job endpoints to check the status and retrieve the results once the operation is complete.




## OpenAPI

````yaml https://api.gonitro.dev/openapi.json post /sign/conversions
openapi: 3.1.0
info:
  title: Nitro Sign Public API
  description: REST API for Nitro Sign
  version: '0.1'
servers:
  - url: https://api.gonitro.dev
security:
  - bearerAuth: []
paths:
  /sign/conversions:
    post:
      tags:
        - Sign
      summary: Convert File to PDF
      description: >
        *This endpoint was deprecated* on March 24, 2026, and will be sunset on
        July 1, 2026. Please migrate your existing functionality to the current
        endpoint:

        https://developers.gonitro.com/docs/api-reference/sign/create-document-by-envelope-id
        , which already supports multiple file types.


        The **Convert File to PDF** endpoint transforms various file formats
        into PDF documents for use with the Nitro Sign API.

          ### Input files
          Supported input document types and formats:

          | Document Type | Formats |
          |---------------|---------|
          | Doc | .doc, .docx, .dot, .xml, .docm, .dotx, .dotm, .rtf |
          | Excel | .xlsx, .xls, .xlt, .xlsm, .xltx, .xltm |
          | HTML | .html |
          | Powerpoint | .pptx, .ppt |
          | Image | .png, .jpg, .jpeg, .tif, .tiff, .gif |
          | Other | .csv, .psd, .svg, .eps |

          ### Output files
          The **Convert File** Sign API endpoint only supports PDF files as output.

          ### Asynchronous Processing
          The **Convert File** endpoint supports only asynchronous processing. When you start a file format conversion, the request returns a job ID. Use this ID with the job endpoints to check the status and retrieve the results once the operation is complete.
      operationId: convertFile
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                  description: The file to convert to PDF, provided as binary data.
              required:
                - file
            encoding:
              file:
                contentType: multipart/form-data
      responses:
        '200':
          description: File conversion initiated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConvertFileResponse'
        '400':
          description: Missing file
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestProblemDetail'
        '401':
          description: Unauthorized - Invalid or missing JWT token
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/UnauthorizedProblemDetail'
        '413':
          description: File size exceeds maximum allowed limit
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContentTooLargeProblemDetail'
        '415':
          description: File format not supported
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnsupportedMediaTypeDetail'
        '500':
          description: Internal server error during conversion process
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorProblemDetail'
      deprecated: true
components:
  schemas:
    ConvertFileResponse:
      type: object
      properties:
        jobID:
          type: string
          description: Unique identifier for the conversion job
          example: 01234567-89ab-cdef-0123-456789abcdef
        status:
          type: string
          description: The current status of the file conversion Job
          enum:
            - running
            - completed
            - failed
        jobStatusURL:
          type: string
          description: URL to poll the current status of the file conversion job
          example: >-
            https://api.gonitro.dev/sign/conversions/jobs/01234567-89ab-cdef-0123-456789abcdef/status
      required:
        - jobStatusURL
    BadRequestProblemDetail:
      type: object
      description: Bad Request error details
      example:
        type: https://developers.gonitro.com/docs/build-nitro/errors#400-bad-request
        title: Bad Request
        status: 400
        detail: Request validation failed
        instance: /sign/envelopes
        validation_errors:
          name: must not be blank
      properties:
        type:
          type: string
          description: A URI reference that identifies the problem type
        title:
          type: string
          description: A short, human-readable summary of the problem type
        status:
          type: integer
          format: int32
          description: The HTTP status code
        detail:
          type: string
          description: A human-readable explanation specific to this occurrence
        instance:
          type: string
          description: A URI reference that identifies the specific occurrence
        extensions:
          type: object
          additionalProperties: {}
          description: Additional problem-specific properties
    UnauthorizedProblemDetail:
      type: object
      description: Unauthorized error details
      example:
        type: >-
          https://developers.gonitro.com/docs/build-nitro/errors#401-unauthorized
        title: Unauthorized
        status: 401
        detail: Missing or invalid Authorization header
        instance: /sign/envelopes
      properties:
        type:
          type: string
          description: A URI reference that identifies the problem type
        title:
          type: string
          description: A short, human-readable summary of the problem type
        status:
          type: integer
          format: int32
          description: The HTTP status code
        detail:
          type: string
          description: A human-readable explanation specific to this occurrence
        instance:
          type: string
          description: A URI reference that identifies the specific occurrence
        extensions:
          type: object
          additionalProperties: {}
          description: Additional problem-specific properties
    ContentTooLargeProblemDetail:
      type: object
      description: Content too large error details
      example:
        type: >-
          https://developers.gonitro.com/docs/build-nitro/errors#413-content-too-large
        title: Content too large
        status: 413
        detail: Uploaded document exceeds the file size limit of 20Mb
        instance: /sign/envelopes/envelop-123/documents
      properties:
        type:
          type: string
          description: A URI reference that identifies the problem type
        title:
          type: string
          description: A short, human-readable summary of the problem type
        status:
          type: integer
          format: int32
          description: The HTTP status code
        detail:
          type: string
          description: A human-readable explanation specific to this occurrence
        instance:
          type: string
          description: A URI reference that identifies the specific occurrence
        extensions:
          type: object
          additionalProperties: {}
          description: Additional problem-specific properties
    UnsupportedMediaTypeDetail:
      type: object
      description: Unsupported Media Type error details
      example:
        type: >-
          https://developers.gonitro.com/docs/build-nitro/errors#415-unsupported-media-type
        title: Unsupported Media Type
        status: 415
        detail: 'The provided media type is not supported: application/pdf'
        instance: /sign/conversions
      properties:
        type:
          type: string
          description: A URI reference that identifies the problem type
        title:
          type: string
          description: A short, human-readable summary of the problem type
        status:
          type: integer
          format: int32
          description: The HTTP status code
        detail:
          type: string
          description: A human-readable explanation specific to this occurrence
        instance:
          type: string
          description: A URI reference that identifies the specific occurrence
        extensions:
          type: object
          additionalProperties: {}
          description: Additional problem-specific properties
    InternalServerErrorProblemDetail:
      type: object
      description: Internal Server Error details
      example:
        type: >-
          https://developers.gonitro.com/docs/build-nitro/errors#500-internal-server-error
        title: Internal Server Error
        status: 500
        detail: An unexpected error occurred
        instance: /sign/envelopes
      properties:
        type:
          type: string
          description: A URI reference that identifies the problem type
        title:
          type: string
          description: A short, human-readable summary of the problem type
        status:
          type: integer
          format: int32
          description: The HTTP status code
        detail:
          type: string
          description: A human-readable explanation specific to this occurrence
        instance:
          type: string
          description: A URI reference that identifies the specific occurrence
        extensions:
          type: object
          additionalProperties: {}
          description: Additional problem-specific properties
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````